### Method

# FoundryGtk ShortcutProvider list_shortcuts

#### Declaration [src]

    GListModel*
    foundry_shortcut_provider_list_shortcuts (
      FoundryShortcutProvider* self
    )

#### Description [src]

Gets a `GListModel` of `GtkShortcut`.

This function should return a `GListModel` of `GtkShortcut` that are updated as necessary by the plugin. This list model is used to activate shortcuts based on user input and allows more control by plugins over when and how shortcuts may activate.

#### Return value

Type: A list model of `GObject`

A `GListModel` of `GtkShortcut`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.